<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Basic JS - HW-2 - Find multiples (optional task)</title>
</head>
<body>
    <script>
        'use strict';

        let m = prompt('Enter your first prime number');
        let n = prompt('Enter your second prime number');

        while (isNaN(m) || isNaN(n) || (+m >= +n)) {
            alert("First number must be smaller than the second! Try again ;-)");
            m = prompt('Enter a correct first prime number!');
            n = prompt('Enter a correct second number!');
        }

        function isPrime(m) {
            for (let x = 2; x <= m; x++) {
                return m % x !== 0;
            }
        }
        let arr = [2];
        for (let x = 3; x <= n; x++){
            if (isPrime(x)) {
                arr.push(x)
            }
        }
        console.log(arr);

    </script>
</body>
</html>